package gssim.db.reader;


/**
 * 
 * @author Marcin Krystek
 *
 */

public class AccResourcesReader extends StatsReader {
	
	public AccResourcesReader(StatsParser p) {
		super(p);
	}

	public String getResourceName(){
		return this.values[0];
	}
	
	public String getMetricName(){
		return this.values[1];
	}
	
	public Double getMean(){
		return getAsDouble(2);
	}
	
	public Double getStandardDeviation(){
		return getAsDouble(3);
	}
	
	public Double getVariance(){
		return getAsDouble(4);
	}
	
	public Double getMin(){
		return getAsDouble(5);
	}
	
	public Double getMax(){
		return getAsDouble(6);
	}
	
	public Double getSum(){
		return getAsDouble(7);
	}
	
	public Double getCount(){
		return getAsDouble(8);
	}

}
